Barth
Netterfield

    kst@kde.org

Rick
Chern

    kst@kde.org

2004
Università della Columbia Britannica

# Esercitazione di &kst;

## Benvenuto

Benvenuto in &kst;! Tra qualche minuto, esplorerai le potenti funzionalità di questo pacchetto di tracciamento e manipolazione dei dati. Questi sono solo alcuni dei compiti che puoi effettuare usando &kst;:

- Tracciare rapidamente più grafici usando solo la riga di comando.

- Analizzare dati usando un ampio insieme di strumenti, inclusi istogrammi, spettri di potenza, ed equazioni personalizzate.

- Ingrandire e rimpicciolire senza sforzo aree interessanti dei grafici usando il mouse o la tastiera

- Sorvegliare dati dal vivo usando le capacità di tracciamento di grafici in tempo reale di &kst;.

Questa esercitazione copre i fondamentali dell'installazione, esecuzione e lavoro con &kst;. È basata sul Giro rapido di &kst; di Barth Netterfield. Sei invitato a investigare ulteriormente tutte le funzionalità quando vuoi. Tutte le funzionalità sono documentate nel resto di questo manuale.

## Avviare &kst; dalla riga di comando

Un uso comune di &kst; è produrre rapidamente grafici da dati dalla riga di comando. Questo metodo di produrre grafici richiede quasi nessuna conoscenza dell'interfaccia grafica di &kst;, eppure produce risultati immediati e utili.

Questa esercitazione usa un pacchetto dimostrativo di file di dati installato con &kst; in `$`KDEDIR`/share/apps/kst/tutorial`, dove `$`KDEDIR`` è la posizione dove &kde; è installato sul tuo sistema (puoi trovarla usando il comando `kde-config --prefix`).

Se hai una versione di &kst; precedente a 1.1.0, puoi trovare i dati dell'esercitazione in rete a http://omega.astro.utoronto.ca/kst/tutorial/kst_tutorialdata.tgz. Scarica e scompatta il pacchetto, e passa alla cartella risultante:

    tar -zxvf kst_tutorialdata.tgz
    cd kst_tutorialdata

Per ottenere una panoramica di tutte le opzioni da riga di comando disponibili di &kst;, scrivi:

    kst --help

Saranno visualizzati una descrizione della sintassi e un elenco di comandi simili ai seguenti:

    Uso: kst [opzioni Qt] [opzioni KDE] [opzioni] [Files]

    Kst: un programma per la visualizzazione di dati.

    Opzioni generiche:
      --help                    Mostra la guida sulle opzioni
      --help-qt                 Mostra le opzioni specifiche per Qt
      --help-kde                Mostra le opzioni specifiche per KDE
      --help-all                Mostra tutte le opzioni
      --author                  Mostra le informazioni sull'autore
      -v, --version             Mostra le informazioni sulla versione
      --license                 Mostra le informazioni sulla licenza
      --                        Fine delle opzioni

    Opzioni:
      -F <dataFile
    >             Specifica il file dati: usato per superare il file predefinito di kst [|]
      -y <Y>                    Campo per l'asse Y (permessi più di uno)
      --ye <equation>           Equazione per l'asse Y (permesse più di una)
      -e <E>                    Campo per gli errori di Y (permessi più di uno)
      -x <X>                    Campo o intervallo per l'asse X [INDEX]
      --xe <X>                  Vettore X per le equazioni x0:x1:n [INDEX]
      -p <Y>                    Campo per lo spettro di potenza (permessi più di uno)
      -h <Y>                    Campo per l'istogramma (permessi più di uno)
      -r <f>                   Velocità di campionamento per lo spettro di potenza [60.0]
      --ru <U>                  Unità per la velocità di campionamento psd [Hz]
      --yu <U>                  Unità per i vettori y [V]
      -l <P>                    La lunghezza della FFT è 2^P [10]
      -f <F0>                   Primo frame da leggere [-2]
      -n <NS>                   Numero di frame da leggere [-2]
      -s <NS>                   Numero di frame da saltare a ogni lettura [-1]
      -a                        Applica il filtro boxcar prima saltare i frame
      -m <NC>                   Grafici separati e ordinati in <NC> colonne
      -d                        Visualizza come punti anziché curve
      -g                        Fornisci un riquadro legenda
      --print <file>            Stampa su file ed esci [<none>]
      --png <file>              Salva come file png ed esci [<none>]

    Argomenti:
      Files                     File dati (se -y è dato) o file *.kst

Le opzioni specifiche di &kst; sono elencate sotto la sezione `Opzioni:`. Dove opportuno, sono indicati i valori predefiniti con parentesi quadre alla fine delle descrizioni delle opzioni; questi valori saranno usati per le opzioni non specificate.

Per prima cosa daremo un'occhiata al file ASCII `gyrodata.dat`, incluso nel pacchetto dimostrativo. I file ASCII sono uno dei molti tipi di file che &kst; è capace di leggere. Nei file ASCII, i dati sono ordinati in colonne; ogni colonna corrisponde a un campo, e i numeri delle colonne (cominciando con 1 da sinistra a destra) corrispondono ai nomi dei campi. Questo file ASCII, in particolare, contiene tre colonne, e ha quindi i nomi di campo 1, 2 e 3. Per produrre un grafico della prima colonna, scrivi semplicemente:

    kst -y 1 gyrodata.dat

Tutti i dati nella prima colonna saranno tracciati:

Nota che nessun campo è stato specificato per l'asse X del grafico, quindi &kst; ha usato il vettore predefinito INDEX, come previsto. Il vettore INDEX è un vettore speciale di &kst; che contiene gli interi da 0 a N-1, dove N è il numero di valori di dati nel vettore Y corrispondente. Chiudi &kst; selezionando Esci dal menu File, o scrivendo Ctrl Q.

`gyrodata.dat` contiene 20000 fotogrammi, quindi potresti voler guardare solo una parte dei dati. Per tracciare 10000 fotogrammi partendo dal fotogramma 7000, scrivi:

    kst -y 1 -f 7000 -n 10000 gyrodata.dat

Una delle forze di &kst; è la sua capacità di tracciare grafici di dati in tempo reale. Immagina che dei nuovi dati siano aggiunti in continuazione alla fine di `gyrodata.dat`. In un simile scenario, sarebbe utile tracciare solo la parte più recente dei dati. Per tracciare solo gli ultimi 10000 fotogrammi di `gyrodata.dat`, inserisci ciò che segue:

    kst -y 1 -n 10000 gyrodata.dat

Se `gyrodata.dat` fosse aggiornato, il grafico scorrerebbe continuamente per visualizzare solo gli ultimi 10000 fotogrammi.

Invece di leggere direttamente un file di input, &kst; può usare i dati ASCII da stdin come sorgente di dati. Per specificare stdin come input, inserisci semplicemente `stdin` come uno dei nomi file. Ci sono molti usi di questa possibilità, come usare &kst; come parte di una sequenza di comandi concatenati:

    cat gyrodata.dat | awk '{print $1 + 2}' | kst -y 1 stdin

Il comando sopra usa `awk` per aggiungere 2 alla colonna 1 di `gyrodata.dat` prima di passarlo a &kst;.

Nota che la descrizione dell'opzione `y` indica che sono permesse istanze multiple dell'opzione. Ciò permette un tracciamento rapido di più di una curva, o anche più di un grafico. Per tracciare tutti i tre campi di `gyrodata.dat` in grafici separati, inserisci ciò che segue:

    kst -y 1 -y 2 -y 3 -m 1 gyrodata.dat

L'opzione `m` specifica che dovrebbero essere usati grafici separati invece di uno singolo, come mostrato sotto:

## Un rapido giro dell'Assistente dei dati

Sebbene usare &kst; dalla riga di comando sia facile e comodo, ci potrebbero essere situazioni nelle quali sarebbe più facile importare dati dall'interfaccia utente grafica; per esempio, se hai già aperto &kst; con altri dati caricati. Oppure, potresti semplicemente preferire l'uso dell'interfaccia grafica. Abituarti a entrambi i metodi di importazione dei dati ti permetterà di usare &kst; più efficientemente.

L'assistente dei dati fornisce un modo semplice e veloce per creare vettori, curve, e grafici in &kst; dai file di dati. Per avviare l'assistente, seleziona Assistente dei dati... dal menu Dati o fai clic sul pulsante sulla barra degli strumenti. Sfoglia al file `gyrodata.dat` usato negli esempi della riga di comando e fai clic su Avanti. Sarà visualizzata la finestra seguente:

Schermata dell'assistente di dati 2
Schermata dell'assistente di dati 2

I campi disponibili in `gyrodata.dat` sono elencati a sinistra. Puoi filtrare l'elenco dei campi evidenziati inserendo una stringa da far corrispondere (sono supportati i caratteri jolly come `*`) nella casella di testo sopra l'elenco. Segna le caselle per i campi 1, 2 e 3.

La sezione Intervallo dei dati è usata per specificare l'intervallo di dati da leggere dai vettori selezionati nel file di input. La discussione che segue presume la conoscenza dei fotogrammi. In breve, un fotogramma è semplicemente un numero di campioni di dati, e ogni file di dati è composto da un numero di fotogrammi. Per una descrizione dettagliata di questo concetto, vedi .

Inizio, Conta dalla fine, Intervallo, e Leggi fino alla fine

  Usando queste quattro impostazioni, si possono impostare i limiti superiore e inferiore dell'intervallo di dati. Per esempio, seleziona Conta dalla fine e inserisci 10000 come Intervallo per leggere solo gli ultimi 10000 fotogrammi. Se `gyrodata.dat` fosse in aggiornamento in tempo reale, sarebbero lette le aggiunte successive alla fine del file.

Leggi un campione ogni N fotogrammi e Filtro Boxcar per primo

  Inoltre ai limiti inferiore e superiore, si possono impostare i campioni da leggere dall'intervallo selezionato. Se Leggi un campione ogni N fotogrammi (dove N è il valore inserito) non è selezionato, saranno letti tutti i campioni nell'intervallo selezionato. In alternativa, i fotogrammi nel file di dati possono essere saltati selezionando Leggi un campione ogni N fotogrammi. Per adesso, deseleziona Leggi un campione ogni N fotogrammi.

Le impostazioni degli spettri di potenza e dell'asse X possono essere specificate nella sezione Tipi di grafico.

XY, Spettro di potenza, e Spettro di potenza e XY

  Seleziona Spettro di potenza e XY per produrre grafici dei dati stessi e del loro spettro di potenza. Per maggiori informazioni sulle opzioni disponibili per gli spettri di potenza, vedi .

Vettore dell'asse X

  Il vettore da usare come vettore indipendente per i grafici. Puoi selezionare un campo dal tuo file di dati, o il vettore INDEX. Siccome `gyrodata.dat` non contiene un vettore X, lascia la selezione come INDEX.

La sottosezione Opzioni FFT nella sezione Tipi di grafico è disponibile solo se deve essere tracciato uno spettro di potenza. Questa esercitazione non tratterà i dettagli degli spettri di potenza, quindi per questa sottosezione usa le impostazioni predefinite.

Una volta che sei soddisfatto di tutte le impostazioni, fai clic su Avanti per avanzare alla prossima finestra.

Schermata dell'assistente di dati 3
Schermata dell'assistente di dati 3

Da qui puoi cambiare le impostazioni generali di tracciamento. La maggior parte delle impostazioni si spiegano da sé. Seleziona 1 nuovo grafico per curva per Posizionamento delle curve e In una finestra nuova per Posizionamento dei grafici. Ciò posizionerà tutti e sei i grafici (tre curve e tre spettri di potenza) nella stessa finestra.

Una volta che sei soddisfatto di tutte le impostazioni, fai clic su Fine e i grafici saranno generati:

I grafici generati
I grafici generati

Per generare questi grafici ci è voluto un po' di sforzo, quindi dovremmo salvare la sessione corrente di &kst; (sarà usata nella prossima sessione di questa esercitazione). Seleziona Salva con nome... dal menu File, e salva la sessione come `miasessionedikst.kst`:

Salvare una sessione di Kst
Salvare una sessione di Kst

Il salvataggio di una sessione di &kst; salva tutti i grafici, gli oggetti di dati (ne saprai di più dopo), e gli schemi che esistono al momento del salvataggio.

Una volta che il file è stato salvato, puoi uscire da &kst;.

## I fondamentali della manipolazione dei grafici

Ora che hai confidenza col creare grafici in &kst;, possiamo esplorare alcune delle funzionalità di manipolazione dei grafici disponibili dall'interfaccia utente grafica di &kst;. Avvia &kst; dalla riga di comando con il file `miasessionedikst.kst` che hai salvato prima:

    kst miasessionedikst.kst

Tutti i grafici che hai creato prima dovrebbero essere ora caricati in &kst;. Esamina il grafico con l'etichetta dell'asse Y `PSD [V/Hz^{1/2}]`. Per dare un'occhiata più da vicino al grafico, facci clic destro e seleziona Massimizza, come mostrato sotto:

Massimizzare un grafico
Massimizzare un grafico

Ora il grafico è massimizzato nella finestra attuale. Nota che a valori alti di x questo grafico è quasi del tutto piatto, quindi sarebbe utile vedere solo la parte interessante del grafico. Per farlo, assicurati di essere nella modalità di ingrandimento XY con il mouse (seleziona Ingrandimento XY con il mouse dal menu Grafici, o fai clic sul pulsante della barra degli strumenti ). Poi, semplicemente, trascina un rettangolo attorno all'area interessante. Nota che le coordinate del cursore del mouse sono visualizzate nell'angolo in basso a destra della finestra di &kst; (se non lo sono, assicurati che Mostra la barra degli strumenti sia segnato nel menu Impostazioni).

Gli assi del grafico cambieranno per ingrandire l'area selezionata del grafico. Potresti notare che c'è un picco sul bordo sinistro dello spettro di potenza che si estende oltre il nuovo limite dell'asse Y. Supponiamo che tu voglia vedere la cima di questo picco. Fai clic destro sul grafico e seleziona Su dal sottomenu Scorrimento. Il grafico dovrebbe scorrere in alto. Ovviamente, è molto probabilmente più semplice usare il tasto scorciatoia associato all'elemento del menu; ciò è vero per la maggior parte delle funzioni di ingrandimento e scorrimento. In questo caso, il tasto scorciatoia è freccia in alto, quindi il modo più veloce di scorrere in alto sarebbe tenere premuto il tasto freccia in alto. Per tornare all'ingrandimento massimo, fai clic destro in qualsiasi momento sul grafico e seleziona Ingrandimento massimo dal menu Ingrandimento (o premi M, il tasto scorciatoia assegnato a Ingrandimento massimo).

Ripristina le dimensioni del grafico dello spettro di potenza facendo clic destro sul grafico e deselezionando Massimizza.

Ora dai un'occhiata ai grafici con gli assi Y etichettati `Colonna 2` e `Colonna 3`. Questi sono rispettivamente i grafici del giroscopio di elevazione e di quello di rotazione del volo BOOMERANG del 1998. Siccome questi due grafici sono apparentati, può essere utile scorrerli e ingrandirli simultaneamente. Fai clic sui quadrati situati negli angoli in alto a destra dei due grafici. Dovrebbero scurirsi per indicare che i due grafici sono ora vincolati uno all'altro:

Ingrandimento vincolato
Ingrandimento vincolato

Prima di provare a ingrandire, dovremmo eliminare tutti i grafici tranne quelli con cui stiamo lavorando. Seleziona Modalità schema dal menu Grafici o fai clic sul pulsante della barra degli strumenti. Fai clic destro su ogni grafico diverso dai due che vogliamo tenere, e seleziona Elimina. Quindi, fai clic destro da qualsiasi parte nella finestra attuale e seleziona Pulisci schema. Adesso i due grafici dovrebbero condividere il massimo spazio dentro la finestra. Ritorna alla modalità di ingrandimento XY con il mouse quando hai finito.

Adesso prova a ingrandire qualsiasi porzione del grafico superiore. Noterai che il grafico inferiore si svuoterà. Ciò accade perché gli assi del grafico inferiore sono cambiati per adattarsi agli assi del grafico superiore, e in quella regione particolare del grafico inferiore non ci sono dati. Premi M mentre il cursore del mouse è su uno dei grafici per tornare all'ingrandimento massimo su entrambi i grafici. Adesso tieni premuto Ctrl (ciò equivale a selezionare la modalità Ingrandimento X con il mouse dal menu Grafici o facendo clic sul pulsante della barra degli strumenti). Il cursore del mouse cambierà forma per indicare il cambiamento. Tenendo premuto Ctrl, disegna un rettangolo nel grafico superiore. Nota che l'altezza del rettangolo tratteggiato è limitata in modo che solo l'asse X sarà ingrandito. Adesso entrambi i grafici visualizzeranno i dati quando saranno ingranditi, perché l'asse Y non è stato cambiato.

Puoi vincolare o svincolare rapidamente tutti i grafici nella finestra selezionando Ingrandimento vincolato dal menu Grafici o facendo clic sul pulsante della barra degli strumenti.

Quando hai finito di sperimentare con le funzionalità di ingrandimento, puoi chiudere &kst;. Non c'è bisogno di salvare i grafici stavolta (a meno che tu lo voglia).

## Una breve panoramica degli oggetti di dati

&kst; è più che il semplice tracciamento e la visualizzazione dei dati. Dall'assistente dei dati, hai già visto che &kst; ha la capacità di creare spettri di potenza dei dati. In realtà, &kst; è anche in grado di creare altri oggetti di dati come istogrammi, equazioni, e plugin. Un programma chiamato Gestore dei dati può aiutarti a tenere traccia di tutti gli oggetti di dati che crei.

Avvia &kst; con il file `demo.kst`, incluso nel pacchetto dimostrativo:

    kst demo.kst

Kst con demo.kst
Kst con demo.kst

Questa sessione di &kst; contiene vettori e altri oggetti di dati creati da dati in `gyrodata.dat`. Il grafico superiore contiene i dati azimutali, il grafico centrale contiene i dati di beccheggio, e il grafico inferiore mostra lo spettro di potenza dei dati di beccheggio in blu. Per prima cosa esaminiamo più attentamente i grafici. Vincola i due grafici superiori usando la tecnica che hai imparato nella sezione precedente. Quindi tieni premuto Ctrl per entrare nella modalità di ingrandimento X con il mouse. Adesso ingrandisci in una piccola regione del grafico superiore (diciamo da 50000 a 53000), per far ingrandire entrambi i grafici. Noterai che la curva blu del beccheggio è correlata negativamente con la curva rossa dell'azimut. Questo succede perché il giroscopio del beccheggio era leggermente ruotato relativamente all'asse azimutale (di -0,69 gradi). Il beccheggio vero `p'` è: dove `p` è il beccheggio originale, è la rotazione del giroscopio di beccheggio relativa all'asse azimutale, e `a` è il giroscopio azimutale. `p'` è tracciato come una curva nera nel grafico centrale. Lo spettro di potenza di `p'` è la curva nera nel grafico in fondo.

Adesso diamo un'occhiata a come sono stati creati i tre grafici. Per visualizzare il Gestore dei dati, seleziona Gestore dei dati... dal menu Dati, o fai clic sul pulsante della barra degli strumenti:

Il Gestore dei dati
Il Gestore dei dati

Il Gestore di dati contiene l'elenco completo degli oggetti di dati nella sessione attuale di &kst;. Ti permette anche di modificare o creare nuovi oggetti di dati. Come puoi vedere, ci sono sei curve (ognuna creata da un paio di vettori), un'equazione, due spettri di potenza, e quattro vettori di dati. Fai clic destro su C2-GY_PITCH e seleziona W1-P1 dal sottomenu Rimuovi dal grafico. Ciò rimuove la curva dal grafico P1 nella finestra W1. Rimuovi anche PSD2-V3-GY_PITCH dal grafico P3 nella finestra W1 usando lo stesso procedimento. Adesso dovrebbero essere visibili nel grafico solo le curve corrette:

Solo le curve corrette
Solo le curve corrette

Per vedere come è stato creato il giroscopio del beccheggio corretto, evidenzia C4-cleaned_pitch e fai clic sul pulsante Modifica. Dovrebbe essere visualizzata la finestra di modifica delle equazioni:

Modifica equazione
Modifica equazione

Nota che l'equazione usata per calcolare `p'` è stata inserita nella casella di testo Equazione (è stata usata un'approssimazione di 1 per `cos(-0.69)`). Sperimenta pure con le impostazioni di questa finestra. Fai clic su OK (per salvare tutti i cambiamenti effettuati) o Annulla quando hai finito.

Nota che tutti gli oggetti di dati hanno un numero elencato sotto la colonna # usato. Questo numero indica il numero di volte che l'oggetto di dati è usato da altri oggetti o dai grafici. Siccome abbiamo rimosso una curva e uno spettro di potenza, almeno due oggetti di dati dovrebbero avere un 0 elencato sotto questa colonna. Fai clic su Pulisci per rimuovere permanentemente tutti gli oggetti di dati non usati.

Fai clic su Chiudi per chiudere il Gestore di dati. Adesso puoi uscire da &kst; se vuoi.

## Uno sguardo ai plugin e agli eventi

Concludiamo il nostro viaggio attraverso &kst; dando un'occhiata a due tipi specifici di dati: i plugin e i controlli degli eventi.

Un plugin è un oggetto di dati flessibile il cui comportamento dipende interamente dallo specifico file del plugin selezionato. Il file del plugin può essere uno incluso nella distribuzione standard di &kst;, o può essere un plugin di una parte terza. Puoi trovare istruzioni su come scrivere e compilare dei file di plugin personalizzati in . I plugin permettono a &kst; di effettuare operazioni arbitrarie su un insieme di dati, perché gli unici requisiti di il file di un plugin sono ricevere un insieme di vettori e scalari di input, e restituire un insieme di vettori e scalari.

Per esempio, proveremo a regredire a una semplice linea un piccolo insieme di punti di dati. Avvia &kst; con un grafico del primo campo del file di dati `maxima.dat` incluso nel pacchetto dimostrativo:

    kst -y 1 -d maxima.dat

L'opzione `d` specifica che dovrebbero essere tracciati solo i punti, non le linee. Dovrebbe essere ora visualizzato il grafico dei punti di dati:

Grafico dei punti di dati
Grafico dei punti di dati

Adesso, apri il Gestore dei dati. Fai clic su Plugin... nella sezione Nuovo per creare un nuovo oggetto plugin. Sotto Selezione plugin, seleziona il plugin Regressione lineare. Questo particolare plugin richiede due vettori di input: uno contenente i valori X e uno contenente i valori Y dei punti di dati da cui regredire. Seleziona INDEX per Vettore di input - array X, e 1 per Vettore di input - Array Y. Quindi, fai clic su OK. Noterai che il nuovo oggetto plugin ha creato dei vettori subordinati per conservare i suoi output. Noterai che il nuovo oggetto plugin ha creato dei vettori per salvare i suoi risultati. Fai clic su Curva... per creare una nuova curva dai vettori di output. Seleziona V1-INDEX per Vettore dell'asse X e P1-kstfit_linear_unweighted-Y regredito per vettore dell'asse Y. Vogliamo inoltre posizionare la curva sui punti dei dati nel grafico esistente, quindi sotto Posizionamento della curva seleziona Posiziona in un grafico esistente e deseleziona Posiziona in un nuovo grafico. Infine, fai clic su OK per creare la curva. Chiudi il Gestore dei dati per vedere la linea regredita:

Linea regredita
Linea regredita

Una procedura simile a quella che hai appena seguito ti permetterà di creare e tracciare gli output di qualsiasi tipo di oggetto plugin. Però, c'è una scorciatoia per creare i plugin di regressione. Fare clic destro su un grafico visualizzerà il menu contestuale, che contiene un sottomenu Regressione.... Selezionare una curva dal sottomenu farà apparire la finestra della Funzione di regressione con i vettori X e Y preselezionati. Dopo che il plugin di regressione è stato selezionato, un clic sul pulsante OK creerà l'oggetto plugin, creerà la curva dagli output del plugin, e posizionerà la curva sul grafico esistente.

Diamo ora un'occhiata agli eventi. Normalmente gli oggetti evento controllano altri vettori o scalari ed effettuano delle azioni specifiche quando certe condizioni riguardanti quei vettori o scalari sono vere. Fai clic su Controllo degli eventi... nella sezione Nuovo del Gestore dei dati per creare un nuovo evento:

Controllo degli eventi
Controllo degli eventi

Supponiamo che i dati giroscopici siano aggiornati in tempo reale, e che vogliamo essere avvertiti ogni volta che il giroscopio di beccheggio corretto esce dall'intervallo `[-0.60, -0.40]`. Per impostare l'evento in questo modo, inserisci ciò che segue nella casella di testo Espressione:

`[C4-cleaned_pitch-sv]>(-0.40) | [C4-cleaned_pitch-sv]<(-0.60)`

Nota che qualsiasi cosa inserita come espressione deve essere un'espressione booleana. Questa espressione particolare sarà valutata vera ogni volta che una delle disuguaglianze è vera. Seleziona sia Registra come e Notifica, e inserisci il tuo indirizzo di posta elettronica a destra della casella Notifica. Fai clic su OK, e l'evento sarà creato.

Adesso seleziona Debug di Kst... dal menu Aiuto. Fai clic sulla scheda Log per vedere il log di debug. Se l'evento è stato impostato correttamente, dovresti vedere degli avvertimenti che indicano i valori X per cui l'evento è stato attivato. Controlla che i valori corrispondano approssimativamente a quelli che ti aspetteresti guardando il grafico:

Log di debug
Log di debug

Se i dati giroscopici del beccheggio fossero stati aggiornati in tempo reale, il controllo degli eventi sarebbe stato attivato anche da qualsiasi nuovo dato quando opportuno.

Una volta che hai finito, puoi chiudere &kst;.

## Conclusione

Ciò conclude l'esercitazione di &kst;. Speriamo che tu abbia guadagnato abbastanza capacità per essere a tuo agio con &kst;. Tieni a mente che questa esercitazione non copre tutte le funzionalità di &kst;; c'è ancora molto da esplorare e da sperimentare. Il resto di questo manuale è una guida dettagliata a concetti che spaziano dai fondamentali degli schemi delle finestre alla creazione di plugin personalizzati e lettori di sorgenti di dati. Sei incoraggiato a usare &kst; in modi interessanti e innovativi; molto probabilmente ti accorgerai che non solo soddisfa, ma supera le tue necessità e aspettative.